Skip to main content
`Ctrl`+`K`

# Wtbarr

class astropy.wcs.Wtbarr

  Bases: `object`

  Classes to construct coordinate lookup tables from a binary table extension (BINTABLE).

  This class can not be constructed directly from Python, but instead is returned from `wtb`.

  Attributes Summary

  `extlev` | `int` (read-only) `EXTLEV` identifying the binary table extension.
  `extnam` | `str` (read-only) `EXTNAME` identifying the binary table extension.
  `extver` | `int` (read-only) `EXTVER` identifying the binary table extension.
  `i` | `int` (read-only) Image axis number.
  `kind` | `str` (read-only) `wcstab` array type.
  `m` | `int` (read-only) `wcstab` axis number for index vectors.
  `ndim` | `int` (read-only) Expected dimensionality of the `wcstab` array.
  `row` | `int` (read-only) Table row number.
  `ttype` | `str` (read-only) `TTYPEn` identifying the column of the binary table that contains the wcstab array.

  Methods Summary

  `print_contents`() | Print the contents of the `Wtbarr` object to stdout.

  Attributes Documentation

  extlev

    `int` (read-only) `EXTLEV` identifying the binary table extension.

  extnam

    `str` (read-only) `EXTNAME` identifying the binary table extension.

  extver

    `int` (read-only) `EXTVER` identifying the binary table extension.

  i

    `int` (read-only) Image axis number.

  kind

    `str` (read-only) `wcstab` array type.

    Character identifying the `wcstab` array type:

    > - `'c'`: coordinate array,

    > - `'i'`: index vector.

  m

    `int` (read-only) `wcstab` axis number for index vectors.

  ndim

    `int` (read-only) Expected dimensionality of the `wcstab` array.

  row

    `int` (read-only) Table row number.

  ttype

    `str` (read-only) `TTYPEn` identifying the column of the binary table that contains the wcstab array.

  Methods Documentation

  print_contents()

    Print the contents of the `Wtbarr` object to stdout. Probably only useful for debugging purposes, and may be removed in the future.

    To get a string of the contents, use `repr`.